# This is the spec file for my pixy wrapper

%define name    pixy
%define release 1
%define version 3.03

# Now Pixy files are taken from this directory. In the future, they should be taken from the zip file,
# hopefully available at http://pixybox.seclab.tuwien.ac.at/pixy/dist/pixy_3_03.zip
%define pixy_dir pixy_3_03

Name:           %{name}
Version:        %{version}
Release:        1%{?dist}
Summary:        Includes Pixy v.3.03, a static analyzer for PHP, and a wrapper.
Source0:	%{name}_3_03.zip
Source1:        %{name}_wrapper

Group:          Development/Tools
License:        GPL
URL:            http://cern.ch/security/codetools
# URL:            http://pixybox.seclab.tuwien.ac.at/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Packager:       CERN - Computer Security Team

Requires:       perl-LC >= 1.1.2
# it actually requires 1.6 from SUN ... no other :-(
# java-1.6.0-sun actually provides java-sun = 1.6.0 .. so we are good here.
Requires:       java-sun >= 1.6.0
Requires:       graphviz
BuildRequires:  ant, junit, ant-junit, java-sun >= 1.6.0

%description
Pixy - a static source code analyzer for PHP, focused on finding
potential SQL injection and Cross-site scripting vulnerabilities.
See more at http://pixybox.seclab.tuwien.ac.at/
This package includes also a Pixy wrapper, developed at CERN.

%prep

%setup -n Pixy 

%build

#since this is no clean :-(
ant clean

ant build

cp -v %{SOURCE1} pixy

pod2man --section 3 --release "" pixy | gzip -c > pixy.3.gz

%install
install -d -m 0755 $RPM_BUILD_ROOT/usr/bin
install -m 755 pixy $RPM_BUILD_ROOT/usr/bin/
install -d -m 0755 $RPM_BUILD_ROOT/usr/share/java/pixy/
cp -r build/class $RPM_BUILD_ROOT/usr/share/java/pixy/
cp -r config $RPM_BUILD_ROOT/usr/share/java/pixy/     
cp -r lib $RPM_BUILD_ROOT/usr/share/java/pixy/
install -d -m 0755 $RPM_BUILD_ROOT/usr/share/man/man3/
install -m 644 pixy.3.gz $RPM_BUILD_ROOT/usr/share/man/man3/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc doc/*
/usr/bin/pixy
/usr/share/java/pixy/*
/usr/share/man/man3/pixy.3.gz

%changelog
* Thu Feb 18 2010 Jaroslaw.Polok@cern.ch
- massaged spec file.
